Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 10 Dec 2022 02:05:48 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions My experience in babyshop store oman/sohar branch was the worst ever in centerpoint. I have not been in such awful experience before. 

If babyshop can’t handle sales and offers, they better not do it. At spot i saw the worker change the offer and exclude items that I already picked. And it happened to half of the items i took to the counter . I had to run three times back and forth to bring items to replace the ones excluded after i picked them. 
They scanned my items more than 5 times !!!!!! Who can accept that !!!! FIVE LONG TIMES!! 

Eventually after the fifth time, the system crashed. I snapped!! Seriously System crashes!!! 

I waited at the counter more than an hour , two cashiers only to handle such a sales season. 

This will be my last time shopping from babyshop, that’s something i am sure of. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5440339